InitializationError (JUnit API)
Keywords: org.junit.runners.model.InitializationError class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.junit.runners.model
Class InitializationError

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.junit.runners.model.InitializationError

All Implemented Interfaces:
  Serializable

    public class InitializationError

extends Exception

Represents one or more problems encountered while initializing a Runner

See Also:
  Serialized Form

Constructor Summary
`InitializationError(List<Throwable> errors)` Construct a new `InitializationError` with one or more errors `errors` as causes
`InitializationError(String string)` Construct a new `InitializationError` with one cause with message `string`
`InitializationError(Throwable error)`

Method Summary
`List<Throwable>` | `getCauses()` Returns one or more Throwables that led to this initialization error.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InitializationError

    public InitializationError(List<Throwable> errors)

  Construct a new `InitializationError` with one or more errors `errors` as causes

### InitializationError

    public InitializationError(Throwable error)

### InitializationError

    public InitializationError(String string)

  Construct a new `InitializationError` with one cause with message `string`

Method Detail

### getCauses

    public List<Throwable> getCauses()

  Returns one or more Throwables that led to this initialization error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD